source("/Users/evansst/Documents/Useful R Scripts/prcc_from_workspace_other.R")
lhc_generatePRCoEffs_from_workspace_over_time = function (FILENAME, PARAMETERS, MEASURES,
          CORCOEFFSOUTPUTFILENAME, TIMEPOINTS,
          cor_calc_method = c("s"), check_done = FALSE) 
{
  dat = c()
  for(t in TIMEPOINTS){
  
      lhc_result_file <- FILENAME
      message(paste("Generating Partial Rank Correlation Coefficients (lhc_generatePRCoEffs) for ", t, sep = ""))
      COEFFRESULTS <- calculate_prccs_all_parameters(PARAMETERS, 
                                                     lhc_result_file[lhc_result_file$time == t,], MEASURES, cor_calc_method)
      
      names = rownames(COEFFRESULTS)
      COEFFRESULTS = data.frame(COEFFRESULTS)
      COEFFRESULTS$Timepoints = t
      COEFFRESULTS$Parameter = names
    dat = bind_rows(dat, COEFFRESULTS)
      
  }
  
  assign(CORCOEFFSOUTPUTFILENAME,dat,  envir = .GlobalEnv)
      
}
